---
title: Navigator.buildID
slug: Web/API/Navigator/buildID
tags:
  - API
  - Gecko
  - HTML DOM
  - Navigator
  - Property
---
<p>{{ ApiRef("HTML DOM") }}</p>

<p>Returns the build identifier of the browser. In modern browsers this property now returns a fixed timestamp as a privacy measure, e.g. <code>20181001000000</code> in Firefox 64 onwards.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="eval"><var>buildID</var> = <var>navigator</var>.buildID;
</pre>

<h3 id="Value">Value</h3>

<p>A string representing the build identifier of the application. The build ID is in the form <code>YYYYMMDDHHMMSS</code>.</p>

<h2 id="Example">Example</h2>

<pre class="eval">console.log(window.navigator.buildID);</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any public standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Navigator.buildID")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://www.fxsitecompat.com/en-CA/docs/2018/navigator-buildid-now-returns-a-fixed-timestamp/">navigator.buildID now returns a fixed timestamp</a></li>
</ul>
